#include <Servo.h>                                                       // Подключаем библиотеку Servo для работы с сервоприводами
Servo servo1;                                                            // Объявляем объект servo1 для работы с сервоприводом основания
Servo servo2;                                                            // Объявляем объект servo2 для работы с сервоприводом левого плеча
Servo servo3;                                                            // Объявляем объект servo3 для работы с сервоприводом правого плеча
Servo servo4;                                                            // Объявляем объект servo4 для работы с сервоприводом захвата
int valR1, valR2, valR3, valR4;                                          // Объявляем переменные для хранения значений потенциометров
                                                                         // Назначаем выводы:
const uint8_t pinR1 = A2;                                                // Определяем константу с № вывода потенциометра управл. основанием
const uint8_t pinR2 = A3;                                                // Определяем константу с № вывода потенциометра управл. левым плечом
const uint8_t pinR3 = A4;                                                // Определяем константу с № вывода потенциометра управл. правым плечом
const uint8_t pinR4 = A5;                                                // Определяем константу с № вывода потенциометра управл. захватом
const uint8_t pinS1 = 10;                                                // Определяем константу с № вывода сервопривода основания
const uint8_t pinS2 = 9;                                                 // Определяем константу с № вывода сервопривода левого плеча
const uint8_t pinS3 = 8;                                                 // Определяем константу с № вывода сервопривода правого плеча
const uint8_t pinS4 = 7;                                                 // Определяем константу с № вывода сервопривода захвата
void setup(){                                                            // Код функции setup выполняется однократно:
    Serial.begin(9600);                                                  // Инициируем передачу данных в монитор последовательного порта
    servo1.attach(pinS1);                                                // Назначаем объекту servo1 управление сервоприводом 1
    servo2.attach(pinS2);                                                // Назначаем объекту servo2 управление сервоприводом 2
    servo3.attach(pinS3);                                                // Назначаем объекту servo3 управление сервоприводом 3
    servo4.attach(pinS4);                                                // Назначаем объекту servo4 управление сервоприводом 4
}
void loop(){                                                             // Код функции loop выполняется постоянно:
    valR1=map(analogRead(pinR1), 0, 1024, 10, 170); servo1.write(valR1); // Вращаем основанием        Указанные в данной строке углы: 10 и 170 возможно потребуется изменить (откалибровать)
    valR2=map(analogRead(pinR2), 0, 1024, 80, 170); servo2.write(valR2); // Управляем левым плечом    Указанные в данной строке углы: 80 и 170 возможно потребуется изменить (откалибровать)
    valR3=map(analogRead(pinR3), 0, 1024, 60, 170); servo3.write(valR3); // Управляем правым плечом   Указанные в данной строке углы: 60 и 170 возможно потребуется изменить (откалибровать)
    valR4=map(analogRead(pinR4), 0, 1024, 40,  70); servo4.write(valR4); // Управляем захватом        Указанные в данной строке углы: 40 и 70  возможно потребуется изменить (откалибровать)
    Serial.println((String) "A1 = "+valR1+",\t A2 = "+valR2+", \t A3 = "+valR3+", \t A4 = "+valR4); // Выводим углы в монитор
}
